For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList disbursements
      • POSTCreate a disbursement
      • POSTCreate multiple disbursements
      • GETGet a disbursement
      • POSTApprove a disbursement
      • POSTApprove multiple disbursements
      • POSTCancel a pending disbursement
      • POSTStop payment for a disbursement
      • POSTSandbox: Complete a disbursement
      • POSTSandbox: Fail a disbursement
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsDisbursements

Sandbox: Fail a disbursement

POST
/v1/simulations/disbursements/:id/fail
POST
/v1/simulations/disbursements/:id/fail
$curl -X POST https://api.givechariot.com/v1/simulations/disbursements/disbursement_01jpjen1s23s29kkmnjsb6fzga/fail \
> -H "Authorization: Bearer <token>"
1{}
Simulates a payment failure or return for testing purposes. The disbursement must have a status of `submitted`. This only applies for disbursements sent via ACH or check. - **ACH disbursements**: Status becomes `failed` (payment was returned and cannot be retried) - **Check disbursements**: Status becomes `validating_organization` (check was returned). When this happens, Chariot will investigate why the check failed to reach the organization, update any required recipient information (such as mailing address or organization contact details), and automatically reattempt payout once the issue is resolved. <Note title="Sandbox Only" icon="fa-light fa-atom-simple"> This API is only available in the sandbox environment. </Note>
Was this page helpful?
Previous

List verification requests

Next
Built with

Simulates a payment failure or return for testing purposes. The disbursement must have a status of submitted. This only applies for disbursements sent via ACH or check.

  • ACH disbursements: Status becomes failed (payment was returned and cannot be retried)
  • Check disbursements: Status becomes validating_organization (check was returned). When this happens, Chariot will investigate why the check failed to reach the organization, update any required recipient information (such as mailing address or organization contact details), and automatically reattempt payout once the issue is resolved.
Sandbox Only

This API is only available in the sandbox environment.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the disbursement

Response

The disbursement failure simulation was accepted

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error